import { select, geoAlbersUsa, geoPath, geoGraticule, extent, scaleSequential, interpolateOranges, min, max, zoom } from 'd3'

const projection = geoAlbersUsa();
const path = geoPath(projection);
const graticule = geoGraticule();



export const Marks = ({data: { nation, states}}) => {
  // add a colorscale from 
  // 1 - 7 and use color1 from countryData or 
  // 1 - 8 and use color2 or 
  // 1 - 9 and use color3 or 
  // -99 - 9 and use color4  (-99 is antarctica (its other colors are valid values))
  
  // const colorValue = d => d.color1;  
  // const colorScale = scaleSequential(interpolateOranges)
  //   .domain([1,max(countryData, colorValue)]);
  
  // const car = { id: '000', name: 'Default', abbr: 'DEF', continent: 'Default', color1: 1, color2: 2, color3: 3, color4: 4 };
  // const attrsLookup = new Map();
  // countryData.forEach(d => {
  // 	attrsLookup[d.id] = d; 
  // })
  
                       
   
    return (
  		<>
        <g id="marks" >
          <path className="ocean" d={path({type: 'Sphere'})} />
          {
             nation.features.map(state => {       
               // console.log(state)
               return (
                <path key={state.id} className="state" d={path(state)} fill="tan" >
                 </path>
             )})        
          }
        </g>
    	</>
  )
